### Function

# Gimp airbrush

#### Declaration [src]

    gboolean
    gimp_airbrush (
      GimpDrawable* drawable,
      gdouble pressure,
      gint num_strokes,
      const gdouble* strokes
    )

#### Description [src]

Paint in the current brush with varying pressure. Paint application is time-dependent.

This tool simulates the use of an airbrush. Paint pressure represents the relative intensity of the paint application. High pressure results in a thicker layer of paint while low pressure results in a thinner layer.

#### Parameters

`drawable`

  Type: `GimpDrawable`

  The affected drawable.

  The data is owned by the caller of the function.

`pressure`

  Type: `gdouble`

  The pressure of the airbrush strokes.

`num_strokes`

  Type: `gint`

  Number of stroke control points (count each coordinate as 2 points).

`strokes`

  Type: An array of `double`

  Array of stroke coordinates: { s1.x, s1.y, s2.x, s2.y, …, sn.x, sn.y }.

  The length of the array is specified in the `num_strokes` argument.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

TRUE on success.